Bug 998235 - Review Request: perl-Object-ID - A unique identifier for any object
Review Request: perl-Object-ID - A unique identifier for any object
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On: 998143 998591
Blocks: 998496
  Show dependency treegraph
 
Reported: 2013-08-18 09:48 EDT by Paul Howarth
Modified: 2014-08-07 10:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-07 10:44:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2013-08-18 09:48:31 EDT
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Object-ID/branches/fedora/perl-Object-ID.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Object-ID/perl-Object-ID-0.1.2-2.fc20.src.rpm
Description:
This is a unique identifier for any object, regardless of its type, structure
or contents. Its features are:

 * Works on ANY object of any type
 * Does not modify the object in any way
 * Does not change with the object's contents
 * Is O(1) to calculate (i.e. doesn't matter how big the object is)
 * The id is unique for the life of the process
 * The id is always a true value



Fedora Account System Username: pghmcfc
Comment 1 Jitka Plesnikova 2013-09-09 10:28:29 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


$ rpmlint ./perl-Object-ID.spec ./perl-Object-ID-0.1.2-2.fc21.*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint ok

$ rpm -qp --provides ./perl-Object-ID-0.1.2-2.fc21.noarch.rpm | sort | uniq -c
      1 perl(Object::ID)
      1 perl(Object::ID::ConfigData)
      1 perl(UNIVERSAL::Object::ID)
      1 perl-Object-ID = 0.1.2-2.fc21
Binary provides ok

$ rpm -qp --requires ./perl-Object-ID-0.1.2-2.fc21.noarch.rpm | sort | uniq -c
      1 perl >= 0:5.008_008
      1 perl(:MODULE_COMPAT_5.18.1)
      1 perl(Data::UUID) >= 1.148
      1 perl(Hash::FieldHash)
      1 perl(Object::ID)
      1 perl(Sub::Name)
      1 perl(strict)
      1 perl(version)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires ok


Source checksums
----------------
http://cpan.metacpan.org/authors/id/M/MS/MSCHWERN/Object-ID-v0.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : 57760d69193a77189739edc34509b7624e09ea28c93b4ca7553df096b7987bd2
  CHECKSUM(SHA256) upstream package : 57760d69193a77189739edc34509b7624e09ea28c93b4ca7553df096b7987bd2

The package looks good.
APPROVED
Comment 2 Paul Howarth 2013-09-09 10:42:33 EDT
New Package SCM Request
=======================
Package Name: perl-Object-ID
Short Description: A unique identifier for any object
Owners: pghmcfc
Branches: f19 f20
InitialCC: perl-sig

Thanks for the review again Jitka.
Comment 3 Gwyn Ciesla 2013-09-09 11:38:00 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-09-09 13:53:32 EDT
perl-Object-ID-0.1.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Object-ID-0.1.2-2.fc20
Comment 5 Fedora Update System 2013-09-09 13:53:44 EDT
perl-Object-ID-0.1.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Object-ID-0.1.2-2.fc19
Comment 6 Fedora Update System 2013-09-18 22:05:58 EDT
perl-Object-ID-0.1.2-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 7 Fedora Update System 2013-09-22 20:42:33 EDT
perl-Object-ID-0.1.2-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 8 Emmanuel Seyman 2014-08-07 10:44:02 EDT
This review is actually finished.

Note You need to log in before you can comment on or make changes to this bug.